Ticket #295 (closed task: fixed)

Opened 4 years ago

Last modified 4 years ago

Create a Java check bridge.

Reported by: jesus Assigned to: jesus
Priority: major Milestone: Subterfuge
Component: noitd Severity: serious
Keywords: Cc:

Description

Make it so that we can write checks in Java. After careful consideration, we're opting away from embedding a JVM in noitd and are going for a proxy process. This will control JVM leaks and poor thread control. Basically, we'll create a Java web server that accepts POST requests and returns Resmon XML.

Change History

06/29/10 03:03:48 changed by jesus

(In [1338]) let's call her Jezebel, refs #295

06/29/10 16:27:37 changed by jesus

(In [1339]) basic concept works, refs #295

06/29/10 16:44:43 changed by jesus

(In [1341]) build the jezebel run script, refs #295

06/29/10 18:22:34 changed by jesus

(In [1342]) add XML manipulation to our lua toolchest, refs #295

06/30/10 00:43:41 changed by jesus

(In [1343]) working JDBC checks, refs #295

06/30/10 03:42:18 changed by jesus

(In [1344]) bang... mysql and Oracle... JDBC feels like a good idea, refs #295

07/01/10 18:01:38 changed by jesus

(In [1349]) support for tapping our jezebel to perform on demand, refs #295

08/05/10 20:30:21 changed by bclapper

(In [1396]) add Jezebel to lua modules. refs #295

08/24/10 14:41:07 changed by jesus

  • status changed from new to closed.
  • resolution set to fixed.

done.